public static int Main(string[] args) { int retValue = 0; try { thePRogram = new Program(); //TODO: Add your application code here NXOpen.Part workPart = thesession.Parts.Work; /* NXOpen.Point3d centerPoint3D = new Point3d(0,0,0); NXOpen.Point3d xDirection = new Point3d(50, 100, 50); NXOpen.Point3d yDirection = new Point3d(100, 100, 100); bool startAndEndGotFlipped; NXOpen.Arc line = workPart.Curves.CreateArc(centerPoint3D, pointon, endpoint, true, out startAndEndGotFlipped);*/ NXOpen.Point3d center = new NXOpen.Point3d(0, 0, 0); NXOpen.Vector3d xvec = new NXOpen.Vector3d(0, 1, 0); NXOpen.Vector3d yvec = new NXOpen.Vector3d(0, 1, 0); NXOpen.Arc arc = workPart.Curves.CreateArc(center, xvec, yvec, 5, 0, 2*System.Math.PI); arc.Color = 120; theProgram.Dispose(); } catch (NXOpen.NXException ex) { // ---- Enter your exception handling code here ----- } return retValue; }
新闻热点
疑难解答